Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.color
Class PDGamma

    java.lang.Object
      org.pdfbox.pdmodel.graphics.color.PDGamma

All Implemented Interfaces:
  COSObjectable

public class PDGamma
extends Object
implements COSObjectable

A gamma array, or collection of three floating point parameters used for color operations.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDGamma()` Constructor.
`PDGamma(COSArray array)` Constructor from COS object.

Method Summary
`float` | `getB()` This will get the b value of the tristimulus.
`COSArray` | `getCOSArray()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`float` | `getG()` This will get the g value of the tristimulus.
`float` | `getR()` This will get the r value of the tristimulus.
`void` | `setB(float b)` This will set the b value of the tristimulus.
`void` | `setG(float g)` This will set the g value of the tristimulus.
`void` | `setR(float r)` This will set the r value of the tristimulus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDGamma

    public PDGamma()

  Constructor. Defaults all values to 0, 0, 0.

### PDGamma

    public PDGamma(COSArray array)

  Constructor from COS object.

Parameters:
  `array` - The array containing the XYZ values.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSArray

    public COSArray getCOSArray()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getR

    public float getR()

  This will get the r value of the tristimulus.

  Returns:
    The R value.

### setR

    public void setR(float r)

  This will set the r value of the tristimulus.

  Parameters:
    `r` - The r value for the tristimulus.

### getG

    public float getG()

  This will get the g value of the tristimulus.

  Returns:
    The g value.

### setG

    public void setG(float g)

  This will set the g value of the tristimulus.

  Parameters:
    `g` - The g value for the tristimulus.

### getB

    public float getB()

  This will get the b value of the tristimulus.

  Returns:
    The B value.

### setB

    public void setB(float b)

  This will set the b value of the tristimulus.

  Parameters:
    `b` - The b value for the tristimulus.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD